# class XmlChild | Xml Child. More...
Full name | `TelEngine::XmlChild`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::GenObject [public ]
Inherited by | XmlCData, XmlComment, XmlDeclaration, XmlDoctype, XmlElement, XmlText
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlChild ()
- virtual void setParent (XmlParent* parent)
- virtual XmlElement* xmlElement ()
- virtual XmlComment* xmlComment ()
- virtual XmlCData* xmlCData ()
- virtual XmlText* xmlText ()
- virtual XmlDeclaration* xmlDeclaration ()
- virtual XmlDoctype* xmlDoctype ()

## Detailed Description

Xml Child for Xml document

XmlChild () | ### XmlChild

Constructor

void setParent (XmlParent* parent) | ### setParent

[virtual]

Set this child's parent

Parameters:

parent | Parent of this child

XmlElement* xmlElement () | ### xmlElement

[virtual]

Get a Xml element

Returns: 0

XmlComment* xmlComment () | ### xmlComment

[virtual]

Get a Xml comment

Returns: 0

XmlCData* xmlCData () | ### xmlCData

[virtual]

Get a Xml CData

Returns: 0

XmlText* xmlText () | ### xmlText

[virtual]

Get a Xml text

Returns: 0

XmlDeclaration* xmlDeclaration () | ### xmlDeclaration

[virtual]

Get a Xml declaration

Returns: 0

XmlDoctype* xmlDoctype () | ### xmlDoctype

[virtual]

Get a Xml doctype

Returns: 0

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.